package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1InputStream;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import java.io.IOException;

public abstract class ASN1Object extends DERObject {
  abstract boolean asn1Equals(DERObject paramDERObject);
  
  public abstract int hashCode();
  
  abstract void encode(DEROutputStream paramDEROutputStream) throws IOException;
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object fromByteArray(byte[] a) throws IOException {
    ASN1InputStream aSN1InputStream = new ASN1InputStream(a);
    return (com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object)aSN1InputStream.readObject();
  }
  
  public final boolean equals(Object object) {
    if (this == object)
      return true; 
    while (true) {
      if (object instanceof DEREncodable && asn1Equals(((DEREncodable)object).getDERObject()))
        return true; 
      while (true)
        return false; 
    } 
    while (true)
      return false; 
  }
}
